function love.load()

	blocks = love.graphics.newImage("blocks.png")
	
	orange = love.graphics.newQuad(0,0,32,32,230,32)
	yellow = love.graphics.newQuad(33,0,32,32,230,32)
	blue = love.graphics.newQuad(66,0,32,32,230,32)
	green = love.graphics.newQuad(99,0,32,32,230,32)
	cyan = love.graphics.newQuad(132,0,32,32,230,32)
	purple = love.graphics.newQuad(165,0,32,32,230,32)
	red = love.graphics.newQuad(198,0,32,32,230,32)
	
	timer = 0
	grid = {}
	for i = 1,22 do
		grid[i] = {}
		for j = 1,10 do
			grid[i][j] = " "
		end
	end
	
	Itetrimino = {{"    ","CCCC","    ","    "},{"  C ","  C ","  C ","  C "},{"    ","    ","CCCC","    "},{" C   "," C  "," C  "," C  "}}
	Jtetrimino = {{"B  ","BBB","   "},{" BB"," B "," B "},{"   ","BBB","  B"},{" B "," B ","BB "}}
	Ltetrimino = {{"  O","OOO","   "},{" O "," O "," OO"},{"   ","OOO","O  "},{"OO "," O "," O "}}
	Otetrimino = {{"YY","YY"},{"YY","YY"},{"YY","YY"},{"YY","YY"}}
	Stetrimino = {{" GG","GG ","   "},{" G "," GG","  G"},{"   "," GG","GG "},{"G  ","GG "," G "}}
	Ttetrimino = {{" P ","PPP","   "},{" P "," PP"," P "},{"   ","PPP"," P "},{" P ","PP "," P "}}
	Ztetrimino = {{"RR "," RR","   "},{"  R"," RR"," R "},{"   ","RR "," RR"},{" R ","RR ","R  "}}
	
	
	generate()
	loose = false
	score = 0
	speedIncrease = 0
	font = love.graphics.newFont(72)
	love.graphics.setFont(font)
	love.graphics.setLineWidth(5)
	
	downStepRatio = 5
end

function checkLost()
	for i = 1,2 do
		for j = 1,10 do
			if grid[i][j] ~= " " then
				loose = true
			end
		end
	end
end

function clear()
	local combo = 0
	for i = 1,22 do
		local check = true
		for j = 1,10 do
			if grid[i][j] == " " then
				check = false
			end
		end
		
		if check == true then
			score = score + combo + 1
			combo = combo + 1
			table.remove(grid,i)
			table.insert(grid,1,{" "," "," "," "," "," "," "," "," "," "})
		end
	end
end

function generate()

GeneratorDefault = {"I","J","L","O","S","T","Z"}
	generator = math.random(1,7)
	Piece = GeneratorDefault[generator]
	
	if Piece == "I" then
		pieceGrid = Itetrimino
	elseif Piece == "J" then
		pieceGrid = Jtetrimino
	elseif Piece == "L" then
		pieceGrid = Ltetrimino
	elseif Piece == "O" then
		pieceGrid = Otetrimino
	elseif Piece == "S" then
		pieceGrid = Stetrimino
	elseif Piece == "T" then
		pieceGrid = Ttetrimino
	elseif Piece == "Z" then
		pieceGrid = Ztetrimino
	end
	
	if Piece == "O" then
		X = 5
	else
		X = 4
	end
	
	Y = 1
	rotation = 1
	
	downStep = 0
end

function lockDown()
if rotation == 1 then
if Piece == "I" then
		if (Y == 21 or grid[Y+2][X] ~= " " or grid[Y+2][X+1]~= " " or grid[Y+2][X+2]~=" " or grid[Y+2][X+3]~=" ") then
			fillIn()
			return 1
		end
	elseif Piece == "J" then
		if (Y == 21 or grid[Y+2][X] ~= " " or grid[Y+2][X+1] ~= " " or grid[Y+2][X+2] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "L" then
		if (Y == 21 or grid[Y+2][X] ~= " " or grid[Y+2][X+1] ~= " " or grid[Y+2][X+2] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "O" then
		if (Y == 21 or grid[Y+2][X] ~= " " or grid[Y+2][X+1] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "S" then
		if (Y == 21 or grid[Y+2][X] ~= " " or grid[Y+2][X+1] ~= " " or grid[Y+1][X+2] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "T" then
		if (Y == 21 or grid[Y+2][X] ~= " " or grid[Y+2][X+1] ~= " " or grid[Y+2][X+2] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "Z" then
		if (Y == 21 or grid[Y+1][X] ~= " " or grid[Y+2][X+1] ~= " " or grid[Y+2][X+2] ~= " ") then
			fillIn()
			return 1
		end
	end
elseif rotation == 2 then
	if Piece == "I" then
		if (Y == 19 or grid[Y+4][X+2] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "J" then
		if (Y == 20 or grid[Y+1][X+2] ~= " " or grid[Y+3][X+1] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "L" then
		if (Y ==  20 or grid[Y+3][X+1] ~= " " or grid[Y+3][X+2] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "S" then
		if (Y == 20 or grid[Y+2][X+1] ~= " " or grid[Y+3][X+2] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "T" then
		if (Y == 20 or grid[Y+3][X+1] ~= " " or grid[Y+2][X+2] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "Z" then
		if (Y == 20 or grid[Y+3][X+1] ~= " " or grid[Y+2][X+2] ~= " ") then
			fillIn()
			return 1
		end
	end
	elseif rotation == 3 then
	if Piece == "I" then
		if (Y == 20 or grid[Y+3][X] ~= " " or grid[Y+3][X+1] ~= " " or grid[Y+3][X+2] ~= " " or grid[Y+3][X+3] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "J" then
		if (Y == 20 or grid[Y+2][X] ~= " " or grid[Y+2][X+1] ~= " " or grid[Y+3][X+2] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "L" then
		if (Y == 20 or grid[Y+3][X] ~= " " or grid[Y+2][X+1] ~= " " or grid[Y+2][X+2] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "S" then
		if (Y == 20 or grid[Y+3][X] ~= " " or grid[Y+3][X+1] ~= " " or grid[Y+2][X+2] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "T" then
		if (Y == 20 and grid[Y+2][X] ~= " " or grid[Y+2][X+2] ~= " " or grid[Y+3][X+1] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "Z" then
		if (Y == 20 or grid[Y+2][X] ~= " " or grid[Y+3][X+1] ~= " " or grid[Y+3][X+2] ~= " ") then
			fillIn()
			return 1
		end
	end
	elseif rotation == 4 then
	if Piece == "I" then
		if (Y == 19  or grid[Y+4][X+1] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "J" then
		if (Y == 20 or grid[Y+3][X] ~= " " or grid[Y+3][X+1] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "L" then
		if (Y == 20 or grid[Y+1][X] ~= " " or grid[Y+3][X+1] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "S" then
		if (Y == 20 or grid[Y+2][X] ~= " " or grid[Y+3][X+1] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "T" then
		if (Y == 20 or grid[Y+2][X] ~= " " or grid[Y+3][X+1] ~= " ") then
			fillIn()
			return 1
		end
	elseif Piece == "Z" then
		if (Y == 20 or grid[Y+3][X] ~= " " or grid[Y+2][X+1] ~= " ") then
			fillIn()
			return 1
		end
	end
end

end

function moveLeft()

if rotation == 1 then
	if Piece == "I" then
		if (X>1 and grid[Y+1][X-1] == " ") then
			X = X-1
		end
	elseif Piece == "J" then
		if (X>1 and grid[Y+1][X-1] == " " and grid[Y][X-1] == " ") then
			X = X-1
		end
	elseif Piece == "L" then
		if (X>1 and grid[Y+1][X-1] == " " and grid[Y][X+1]==" ") then
			X = X-1
		end
	elseif Piece == "O" then
		if (X>1 and grid[Y+1][X-1] == " " and grid[Y][X-1] == " ") then
			X = X-1
		end
	elseif Piece == "S" then
		if (X>1 and grid[Y+1][X-1] == " " and grid[Y][X] == " ") then
			X = X-1
		end
	elseif Piece == "T" then
		if (X>1 and grid[Y+1][X-1] == " " and grid[Y][X] == " ") then
			X = X-1
		end
	elseif Piece == "Z" then
		if (X>1 and grid[Y][X-1] == " " and grid[Y+1][X] == " ") then
			X = X-1
		end
	end
elseif rotation == 2 then
	if Piece == "I" then
		if (X>-1 and grid[Y][X+1] == " " and grid[Y+1][X+1] == " " and grid[Y+2][X+1] == " " and grid[Y+3][X+1] == " ") then
			X = X-1
		end
	elseif Piece == "J" then
		if (X>0 and grid[Y][X] == " " and grid[Y+1][X] == " " and grid[Y+2][X] == " ") then
			X = X-1
		end
	elseif Piece == "L" then
		if (X>0 and grid[Y][X] == " " and grid[Y+1][X] == " " and grid[Y+2][X] == " ") then
			X = X-1
		end
	elseif Piece == "O" then
		if (X>1 and grid[Y+1][X-1] == " " and grid[Y][X-1] == " ") then
			X = X-1
		end
	elseif Piece == "S" then
		if (X>0 and grid[Y][X] == " " and grid[Y+1][X] == " " and grid[Y+2][X+1]==" ") then
			X = X-1
		end
	elseif Piece == "T" then
		if (X>0 and grid[Y][X] == " " and grid[Y+1][X] == " " and grid[Y+2][X] == " ") then
			X = X-1
		end
	elseif Piece == "Z" then
		if (X>0 and grid[Y][X+1] == " " and grid[Y+1][X] == " " and grid[Y+2][X] == " ") then
			X = X-1
		end
	end
	elseif rotation == 3 then
	if Piece == "I" then
		if (X>1 and grid[Y+2][X-1] == " ") then
			X = X-1
		end
	elseif Piece == "J" then
		if (X>1 and grid[Y+1][X-1] == " " and grid[Y+2][X+1] == " ") then
			X = X-1
		end
	elseif Piece == "L" then
		if (X>1 and grid[Y+1][X-1] == " " and grid[Y+2][X-1]==" ") then
			X = X-1
		end
	elseif Piece == "O" then
		if (X>1 and grid[Y+1][X-1] == " " and grid[Y][X-1] == " ") then
			X = X-1
		end
	elseif Piece == "S" then
		if (X>1 and grid[Y+1][X] == " " and grid[Y+2][X-1] == " ") then
			X = X-1
		end
	elseif Piece == "T" then
		if (X>1 and grid[Y+1][X-1] == " " and grid[Y+2][X] == " ") then
			X = X-1
		end
	elseif Piece == "Z" then
		if (X>1 and grid[Y+1][X-1] == " " and grid[Y+2][X] == " ") then
			X = X-1
		end
	end
	elseif rotation == 4 then
	if Piece == "I" then
		if (X>0 and grid[Y][X] == " " and grid[Y+1][X] == " " and grid[Y+2][X] == " " and grid[Y+3][X] == " ") then
			X = X-1
		end
	elseif Piece == "J" then
		if (X>0 and grid[Y][X] == " " and grid[Y+1][X] == " " and grid[Y+2][X-1] == " ") then
			X = X-1
		end
	elseif Piece == "L" then
		if (X>0 and grid[Y][X-1] == " " and grid[Y+1][X] == " " and grid[Y+2][X] == " ") then
			X = X-1
		end
	elseif Piece == "O" then
		if (X>1 and grid[Y+1][X-1] == " " and grid[Y][X-1] == " ") then
			X = X-1
		end
	elseif Piece == "S" then
		if (X>0 and grid[Y][X-1] == " " and grid[Y+1][X-1] == " " and grid[Y+2][X]==" ") then
			X = X-1
		end
	elseif Piece == "T" then
		if (X>0 and grid[Y][X] == " " and grid[Y+1][X-1] == " " and grid[Y+2][X] == " ") then
			X = X-1
		end
	elseif Piece == "Z" then
		if (X>0 and grid[Y][X] == " " and grid[Y+1][X-1] == " " and grid[Y+2][X-1] == " ") then
			X = X-1
		end
	end
end
end

function moveRight()

if rotation == 1 then
				if Piece == "I" then
					if (X<7 and grid[Y+1][X+4] == " ") then
						X = X+1
					end
				elseif Piece == "J" then
					if (X<8 and grid[Y+1][X+3] == " " and grid[Y][X+1] == " ") then
						X = X+1
					end
				elseif Piece == "L" then
					if (X<8 and grid[Y+1][X+3] == " " and grid[Y][X+3]==" ") then
						X = X+1
					end
				elseif Piece == "O" then
					if (X<9 and grid[Y+1][X+2] == " " and grid[Y][X+2] == " ") then
						X = X+1
					end
				elseif Piece == "S" then
					if (X<8 and grid[Y+1][X+2] == " " and grid[Y][X+3] == " ") then
						X = X+1
					end
				elseif Piece == "T" then
					if (X<8 and grid[Y+1][X+3] == " " and grid[Y][X+2] == " ") then
						X = X+1
					end
				elseif Piece == "Z" then
					if (X<8 and grid[Y][X+2] == " " and grid[Y+1][X+3] == " ") then
						X = X+1
					end
				end
			elseif rotation == 2 then
				if Piece == "I" then
					if (X<8 and grid[Y][X+3] == " " and grid[Y+1][X+3] == " " and grid[Y+2][X+3] == " " and grid[Y+3][X+3] == " ") then
						X = X+1
					end
				elseif Piece == "J" then
					if (X<8 and grid[Y][X+3] == " " and grid[Y+1][X+2] == " " and grid[Y+2][X+2] == " ") then
						X = X+1
					end
				elseif Piece == "L" then
					if (X<8 and grid[Y][X+2] == " " and grid[Y+1][X+2] == " " and grid[Y+2][X+3] == " ") then
						X = X+1
					end
				elseif Piece == "O" then
					if (X<9 and grid[Y+1][X+2] == " " and grid[Y][X+2] == " ") then
						X = X+1
					end
				elseif Piece == "S" then
					if (X<8 and grid[Y][X+2] == " " and grid[Y+1][X+3] == " " and grid[Y+2][X+3]==" ") then
						X = X+1
					end
				elseif Piece == "T" then
					if (X<8 and grid[Y][X+2] == " " and grid[Y+1][X+3] == " " and grid[Y+2][X+2] == " ") then
						X = X+1
					end
				elseif Piece == "Z" then
					if (X<8 and grid[Y][X+3] == " " and grid[Y+1][X+3] == " " and grid[Y+2][X+2] == " ") then
						X = X+1
					end
				end
				elseif rotation == 3 then
				if Piece == "I" then
					if (X<7 and grid[Y+2][X+4] == " ") then
						X = X+1
					end
				elseif Piece == "J" then
					if (X<8 and grid[Y+1][X+3] == " " and grid[Y+2][X+3] == " ") then
						X = X+1
					end
				elseif Piece == "L" then
					if (X<8 and grid[Y+1][X+3] == " " and grid[Y+2][X+1]==" ") then
						X = X+1
					end
				elseif Piece == "O" then
					if (X<9 and grid[Y+1][X+2] == " " and grid[Y][X+2] == " ") then
						X = X+1
					end
				elseif Piece == "S" then
					if (X<8 and grid[Y+1][X+3] == " " and grid[Y+2][X+2] == " ") then
						X = X+1
					end
				elseif Piece == "T" then
					if (X<8 and grid[Y+1][X+3] == " " and grid[Y+2][X+2] == " ") then
						X = X+1
					end
				elseif Piece == "Z" then
					if (X<8 and grid[Y+1][X+2] == " " and grid[Y+2][X+3] == " ") then
						X = X+1
					end
				end
				elseif rotation == 4 then
				if Piece == "I" then
					if (X<9 and grid[Y][X+2] == " " and grid[Y+1][X+2] == " " and grid[Y+2][X+2] == " " and grid[Y+3][X+2] == " ") then
						X = X+1
					end
				elseif Piece == "J" then
					if (X<9 and grid[Y][X+2] == " " and grid[Y+1][X+2] == " " and grid[Y+2][X+2] == " ") then
						X = X+1
					end
				elseif Piece == "L" then
					if (X<9 and grid[Y][X+2] == " " and grid[Y+1][X+2] == " " and grid[Y+2][X+2] == " ") then
						X = X+1
					end
				elseif Piece == "O" then
					if (X<9 and grid[Y+1][X+2] == " " and grid[Y][X+2] == " ") then
						X = X+1
					end
				elseif Piece == "S" then
					if (X<9 and grid[Y][X+1] == " " and grid[Y+1][X+2] == " " and grid[Y+2][X+2]==" ") then
						X = X+1
					end
				elseif Piece == "T" then
					if (X<9 and grid[Y][X+2] == " " and grid[Y+1][X+2] == " " and grid[Y+2][X+2] == " ") then
						X = X+1
					end
				elseif Piece == "Z" then
					if (X<9 and grid[Y][X+2] == " " and grid[Y+1][X+2] == " " and grid[Y+2][X+1] == " ") then
						X = X+1
					end
				end
			end
		end

function rotate()

if rotation == 1 then
				if Piece == "I" then
					if (grid[Y][X+2] == " " and grid[Y+2][X+2] == " " and grid[Y+3][X+2] == " ") then
						rotation = 2
					end
				elseif Piece == "J" then
					if (grid[Y][X+1] == " " and grid[Y][X+2] == " " and grid[Y+2][X+1] == " ") then
						rotation = 2
					end
				elseif Piece == "L" then
					if (grid[Y][X+1] == " " and grid[Y+2][X+1]==" " and grid[Y+2][X+2] == " ") then
						rotation = 2
					end
				elseif Piece == "S" then
					if (grid[Y+1][X+2] == " " and grid[Y+2][X+2] == " ") then
						rotation = 2
					end
				elseif Piece == "T" then
					if (grid[Y+2][X+1] == " ") then
						rotation = 2
					end
				elseif Piece == "Z" then
					if (grid[Y][X+2] == " " and grid[Y+2][X+1] == " ") then
						rotation = 2
					end
				end
			elseif rotation == 2 then
				if Piece == "I" then
					if (X>0 and X<8 and grid[Y+2][X+1] == " "  and grid[Y+2][X+3] == " " and grid[Y+2][X] == " ") then
						rotation = 3
					end
				elseif Piece == "J" then
					if (X>0 and grid[Y+1][X] == " " and grid[Y+1][X+2] == " " and grid[Y+2][X+2] == " ") then
						rotation = 3
					end
				elseif Piece == "L" then
					if (X>0 and grid[Y+1][X] == " " and grid[Y+1][X+2] == " " and grid[Y+2][X] == " ") then
						rotation = 3
					end
				elseif Piece == "S" then
					if (X>0 and grid[Y+2][X] == " " and grid[Y+2][X+1] == " ") then
						rotation = 3
					end
				elseif Piece == "T" then
					if (X>0 and grid[Y+1][X] == " ") then
						rotation = 3
					end
				elseif Piece == "Z" then
					if (X>0 and grid[Y+1][X] == " " and grid[Y+2][X+2] == " ") then
						rotation = 3
					end
				end
				elseif rotation == 3 then
				if Piece == "I" then
					if (grid[Y][X+1] == " " and grid[Y+1][X+1] == " " and grid[Y+3][X+1] == " ") then
						rotation = 4
					end
				elseif Piece == "J" then
					if (grid[Y][X+1] == " " and grid[Y+2][X] == " " and grid[Y+2][X+1] == " ") then
						rotation = 4
					end
				elseif Piece == "L" then
					if (grid[Y][X] == " " and grid[Y][X+1]==" " and grid[Y+2][X+1] == " ") then
						rotation = 4
					end
				elseif Piece == "S" then
					if (grid[Y][X] == " " and grid[Y+1][X] == " ") then
						rotation = 4
					end
				elseif Piece == "T" then
					if (grid[Y][X+2] == " ") then
						rotation = 4
					end
				elseif Piece == "Z" then
					if (grid[Y][X+1] == " " and grid[Y+3][X] == " ") then
						rotation = 4
					end
				end
				elseif rotation == 4 then
				if Piece == "I" then
					if (X>0 and X<8 and grid[Y+1][X+1] == " " and grid[Y+1][X+2] == " " and grid[Y+1][X] == " " and grid[Y+1][X+3] == " ") then
						rotation = 1
					end
				elseif Piece == "J" then
					if (X<9 and grid[Y][X] == " " and grid[Y+1][X] == " " and grid[Y+1][X+2] == " ") then
						rotation = 1
					end
				elseif Piece == "L" then
					if (X<9 and grid[Y][X+2] == " " and grid[Y+1][X+2] == " " and grid[Y+1][X] == " ") then
						rotation = 1
					end
				elseif Piece == "S" then
					if (X<9 and grid[Y][X+1] == " " and grid[Y][X+2] == " ") then
						rotation = 1
					end
				elseif Piece == "T" then
					if (X<9 and grid[Y+1][X+2] == " " ) then
						rotation = 1
					end
				elseif Piece == "Z" then
					if (X<9 and grid[Y][X] == " " and grid[Y+1][X+2] == " ") then
						rotation = 1
					end
				end
			end
		end

function love.update(dt)

if loose == false then
	
	if love.keyboard.isDown("up") then
		timer = timer + 15*dt
	elseif love.keyboard.isDown("down") then
		timer = timer + 30*dt
	else
		timer = timer + dt
	end
	
	if timer > 0.20 then
		timer = 0
		downStep = downStep + 1
		if love.keyboard.isDown("left") then
			moveLeft()
		elseif love.keyboard.isDown("right") then
			moveRight()
		elseif love.keyboard.isDown(" ")  then
			rotate()
		end
		
		if downStep > downStepRatio then
			if lockDown() ~= 1 then
				Y = Y + 1
				downStep = 0
			else 
				clear()
				checkLost()
				generate()
				if downStepRatio ~= 1 then
					if math.floor(score/10) > speedIncrease then
						speedIncrease = speedIncrease + 1
						downStepRatio = downStepRatio -1
					end
				end
			end
		end
			
			
	end
	
end
end

function love.draw()

if loose == false then
	local i = 1
	while pieceGrid[rotation][i] ~= nil do
		for j = 1, #pieceGrid[rotation][i] do
			local c = pieceGrid[rotation][i]:sub(j,j)
			if c == "O" then
				love.graphics.drawq(blocks,orange,(X+j-2)*32,(Y+i-4)*32)
			elseif c == "Y" then
				love.graphics.drawq(blocks,yellow,(X+j-2)*32,(Y+i-4)*32)
			elseif c == "B" then
				love.graphics.drawq(blocks,blue,(X+j-2)*32,(Y+i-4)*32)
			elseif c == "G" then
				love.graphics.drawq(blocks,green,(X+j-2)*32,(Y+i-4)*32)
			elseif c == "C" then
				love.graphics.drawq(blocks,cyan,(X+j-2)*32,(Y+i-4)*32)
			elseif c == "P" then
				love.graphics.drawq(blocks,purple,(X+j-2)*32,(Y+i-4)*32)
			elseif c == "R" then
				love.graphics.drawq(blocks,red,(X+j-2)*32,(Y+i-4)*32)
			end
		end
		i = i+1
	end
	
	for i = 3,22 do
		for j = 1,10 do
			c = grid[i][j]
			if c == "O" then
				love.graphics.drawq(blocks,orange,(j-1)*32,(i-3)*32)
			elseif c == "Y" then
				love.graphics.drawq(blocks,yellow,(j-1)*32,(i-3)*32)
			elseif c == "B" then
				love.graphics.drawq(blocks,blue,(j-1)*32,(i-3)*32)
			elseif c == "G" then
				love.graphics.drawq(blocks,green,(j-1)*32,(i-3)*32)
			elseif c == "C" then
				love.graphics.drawq(blocks,cyan,(j-1)*32,(i-3)*32)
			elseif c == "P" then
				love.graphics.drawq(blocks,purple,(j-1)*32,(i-3)*32)
			elseif c == "R" then
				love.graphics.drawq(blocks,red,(j-1)*32,(i-3)*32)
			end
		end
	end
	
	love.graphics.print(score, 350, 100)
	love.graphics.line(325,0,325,640)
else
	love.graphics.print(score, 220, 250)	
end	
end

function fillIn()

local i = 1
	while pieceGrid[rotation][i] ~= nil do
		for j = 1, #pieceGrid[rotation][i] do
			local c = pieceGrid[rotation][i]:sub(j,j)
			if c ~= " " then
				grid[Y+i-1][X+j-1] = c
			end
		end
		i = i+1
	end
	
end

